## org.red5.server.net.mrtmp
Class MRTMPPacket

    java.lang.Object
      org.red5.server.net.mrtmp.MRTMPPacket

    public class MRTMPPacket

extends Object

Author:
  Steven Gong (steven.gong@gmail.com)

Nested Class Summary
`static class` `MRTMPPacket.Body`
`static class` `MRTMPPacket.Header`
`static class` `MRTMPPacket.RTMPBody`
`static class` `MRTMPPacket.RTMPHeader`

Field Summary
`static short` `CLOSE`
`static int` `COMMON_HEADER_LENGTH`
`static short` `CONNECT`
`static short` `JAVA_ENCODING`
`static short` `RTMP`
`static int` `RTMP_HEADER_LENGTH`

Constructor Summary
`MRTMPPacket()`

Method Summary
`MRTMPPacket.Body` `getBody()`
`MRTMPPacket.Header` `getHeader()`
`void` `setBody(MRTMPPacket.Body body)`
`void` `setHeader(MRTMPPacket.Header header)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONNECT

    public static final short CONNECT

See Also:
  Constant Field Values

### CLOSE

    public static final short CLOSE

See Also:
  Constant Field Values

### RTMP

    public static final short RTMP

See Also:
  Constant Field Values

### JAVA_ENCODING

    public static final short JAVA_ENCODING

See Also:
  Constant Field Values

### COMMON_HEADER_LENGTH

    public static final int COMMON_HEADER_LENGTH

See Also:
  Constant Field Values

### RTMP_HEADER_LENGTH

    public static final int RTMP_HEADER_LENGTH

See Also:
  Constant Field Values

Constructor Detail

### MRTMPPacket

    public MRTMPPacket()

Method Detail

### getBody

    public MRTMPPacket.Body getBody()

### setBody

    public void setBody(MRTMPPacket.Body body)

### getHeader

    public MRTMPPacket.Header getHeader()

### setHeader

    public void setHeader(MRTMPPacket.Header header)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2006-2010 The Red5 Project